---
title: godo.Snapshots.Get()
description: Get retrieves a snapshot by id.
product: Reference
url: https://docs.digitalocean.com/reference/godo/reference/snapshots/snapshots-get/
last_updated: "2026-11-05"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# godo.Snapshots.Get()

Generated on 5 Nov 2026 from godo version [`v1.236.0`](https://github.com/digitalocean/godo/releases/tag/v1.236.0)

## Usage

```go
client.Snapshots.Get(ctx context.Context, snapshotID string) (*godo.Snapshot, *godo.Response, error)
```

## Description

`Get` retrieves a snapshot by id.

This method sends a GET request to [`/v2/snapshots/{}`](https://docs.digitalocean.com/reference/api/reference/snapshots/index.html.md#snapshots_get).

## Parameters

`snapshotID` string required

## Returns

\*godo.Snapshot

\*godo.Response

The HTTP response, with pagination `Links`, `Meta`, and `Rate` limit information.

error

Non-nil when the request fails. API errors are returned as `*godo.ErrorResponse`.

### Fields of `godo.Snapshot`

`Snapshot` represents a DigitalOcean Snapshot

`ID` string

Omitted from JSON when empty. JSON key: `id`

`Name` string

Omitted from JSON when empty. JSON key: `name`

`ResourceID` string

Omitted from JSON when empty. JSON key: `resource_id`

`ResourceType` string

Omitted from JSON when empty. JSON key: `resource_type`

`Regions` \[]string

Omitted from JSON when empty. JSON key: `regions`

`MinDiskSize` int

Omitted from JSON when empty. JSON key: `min_disk_size`

`SizeGigaBytes` float64

Omitted from JSON when empty. JSON key: `size_gigabytes`

`Created` string

Omitted from JSON when empty. JSON key: `created_at`

`Tags` \[]string

Omitted from JSON when empty. JSON key: `tags`

## Request Sample

## Show Request Sample

```go
package main

import (
	"context"
	"fmt"
	"log"
	"os"

	"github.com/digitalocean/godo"
)

func main() {
	client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
	ctx := context.TODO()

	result, _, err := client.Snapshots.Get(ctx, "<your-snapshot-id>")
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%+v\n", result)
}
```

## More Information

See [`GET /v2/snapshots/{}`](https://docs.digitalocean.com/reference/api/reference/snapshots/index.html.md#snapshots_get) in the API reference for additional detail on responses, headers, parameters, and more.

See the [Go package documentation](https://pkg.go.dev/github.com/digitalocean/godo#SnapshotsServiceOp.Get) for the source of this method.